com.jogamp.newt.event

## Class WindowEvent

- java.lang.Object
- - java.util.EventObject
  - - com.jogamp.newt.event.NEWTEvent
    - - com.jogamp.newt.event.WindowEvent

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    WindowUpdateEvent

      public class WindowEvent
      extends NEWTEvent

  NEWT Window events are provided for notification purposes ONLY.
  NEWT will automatically handle component moves and resizes internally, regardless of whether a program is receiving these events or not.
  The actual event semantic, here move and resize, is processed before the event is send.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static short` | `EVENT_WINDOW_DESTROY_NOTIFY`
    `static short` | `EVENT_WINDOW_DESTROYED`
    `static short` | `EVENT_WINDOW_GAINED_FOCUS`
    `static short` | `EVENT_WINDOW_LOST_FOCUS`
    `static short` | `EVENT_WINDOW_MOVED`
    `static short` | `EVENT_WINDOW_REPAINT`
    `static short` | `EVENT_WINDOW_RESIZED`

    - ### Fields inherited from class com.jogamp.newt.event.NEWTEvent

      `consumedTag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowEvent(short eventType, Object source, long when)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getEventTypeString(short type)`
    `String` | `toString()`
    `StringBuilder` | `toString(StringBuilder sb)`

    - ### Methods inherited from class com.jogamp.newt.event.NEWTEvent

      `getAttachment, getEventType, getWhen, isConsumed, setAttachment, setConsumed, toHexString`

    - ### Methods inherited from class java.util.EventObject

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### EVENT_WINDOW_RESIZED

          public static final short EVENT_WINDOW_RESIZED

      See Also:
        Constant Field Values

    - #### EVENT_WINDOW_MOVED

          public static final short EVENT_WINDOW_MOVED

      See Also:
        Constant Field Values

    - #### EVENT_WINDOW_DESTROY_NOTIFY

          public static final short EVENT_WINDOW_DESTROY_NOTIFY

      See Also:
        Constant Field Values

    - #### EVENT_WINDOW_GAINED_FOCUS

          public static final short EVENT_WINDOW_GAINED_FOCUS

      See Also:
        Constant Field Values

    - #### EVENT_WINDOW_LOST_FOCUS

          public static final short EVENT_WINDOW_LOST_FOCUS

      See Also:
        Constant Field Values

    - #### EVENT_WINDOW_REPAINT

          public static final short EVENT_WINDOW_REPAINT

      See Also:
        Constant Field Values

    - #### EVENT_WINDOW_DESTROYED

          public static final short EVENT_WINDOW_DESTROYED

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### WindowEvent

          public WindowEvent(short eventType,
                     Object source,
                     long when)

  - ### Method Detail

    - #### getEventTypeString

          public static String getEventTypeString(short type)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `NEWTEvent`

    - #### toString

          public StringBuilder toString(StringBuilder sb)

      Overrides:
        `toString` in class `NEWTEvent`

Copyright 2010 JogAmp Community.